# © Copyright [2018 - 2020] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates and licensors
# (“Micro Focus”) are as may be set forth in the express warranty statements accompanying such
# products and services. Nothing herein should be construed as constituting an additional
# warranty. Micro Focus shall not be liable for technical or editorial errors or omissions
# contained herein. The information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential information
# and a valid license is required for possession, use or copying. If this work is provided to the
# U.S. Government, consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items are licensed
# to the U.S. Government under vendor's standard commercial license.

#This file updates iptable whenever
# 1) cis service start
# 2) suse firewall stops
# 3) suse firewall starts

iptables=/usr/sbin/iptables
networkip=$(docker network inspect -f "{{(index (.IPAM.Config) 0).Subnet}}" cisnet) 2>/dev/null
if [ $? != 0 ] || [ $networkip == "" ] ; then
    echo "cisnet not found. Opening Bridge network for CIS Data scale"
    networkip=$(docker network inspect -f "{{(index (.IPAM.Config) 0).Subnet}}" bridge) 2>/dev/null
    if [ $? != 0 ] || [ $networkip == "" ] ; then
        echo "Bridge network not found"
        exit 0
    fi
fi

if $iptables -C FORWARD -s $networkip -j ACCEPT 2>/dev/null; then
        if ! $iptables -D FORWARD -s $networkip -j ACCEPT 2>/dev/null; then
            echo "oes-cis: Failed to clear docker to other network rule in FORWARD chain"
        fi
        if ! $iptables -D FORWARD -d $networkip -j ACCEPT 2>/dev/null; then
            echo "oes-cis: Failed to clear other network to docker rule in FORWARD chain"
        fi
        if ! $iptables -t nat -D POSTROUTING -s $networkip -j MASQUERADE; then
                echo "oes-cis: Failed to clear rule in POSTROUTING chain"
        fi
fi

exit 0
